%define major		2
%define shortname	speechd
%define libname		%mklibname %{shortname} %{major}
%define devname		%mklibname %{shortname} -d

Name:		speech-dispatcher
Version:	0.11.4
Release:	%mkrel 2
Summary:	Speech Dispatcher provides a device independent layer for speech synthesis
Group:		System/Libraries
License:	GPLv2+ and LGPLv2
URL:		https://www.freebsoft.org/speechd
Source0:	https://github.com/brailcom/speechd/releases/download/%{version}/%{name}-%{version}.tar.gz
Source1:	https://www.freebsoft.org/pub/projects/sound-icons/sound-icons-0.1.tar.gz
Source3:	speech-dispatcher.logrotate
Source4:	speech-dispatcher-user-pulse.example
Patch1:		0001-Remove-pyxdg-dependency.patch
Patch2:		speech-dispatcher-0.11.4-fix-picoapi-include.patch
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(ao)
BuildRequires:	pkgconfig(dotconf) >= 1.3
BuildRequires:	pkgconfig(glib-2.0) >= 2.28
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(libpulse-simple)
BuildRequires:	pkgconfig(sndfile) >= 1.0.2
BuildRequires:	pkgconfig(python3)
BuildRequires:	libltdl-devel
BuildRequires:	libespeak-devel
BuildRequires:	pkgconfig(flite)
BuildRequires:	pkgconfig(ttspico1)
BuildRequires:	help2man
BuildRequires:	intltool
BuildRequires:	systemd
BuildRequires:	texinfo

Recommends:	%{name}-conf
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description
This is the Speech Dispatcher project (speech-dispatcher). It is a part of the
Free(b)soft project, which is intended to allow blind and visually impaired
people to work with computer and Internet based on free software.

%post
%_post_service speech-dispatcherd

%preun
%_preun_service speech-dispatcherd

%files -f %{name}.lang
%doc AUTHORS NEWS README.md FAQ
%doc speech-dispatcher-user-pulse.example
%{_bindir}/spd-say
%{_bindir}/spdsend
%{_bindir}/%{name}
%{_unitdir}/speech-dispatcherd.service
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/speechd.conf
%config(noreplace) %{_sysconfdir}/%{name}/clients/*.conf
%config(noreplace) %{_sysconfdir}/%{name}/modules/*.conf
%dir %{_sysconfdir}/%{name}
%{_libdir}/%{name}
%{_libdir}/%{name}-modules
%{_datadir}/sounds/%{name}
%{_infodir}/%{name}.info.*
%{_infodir}/%{name}-cs.info.*
%{_infodir}/spd-say.info.*
%{_infodir}/ssip.info.*
%{_logdir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/spd-say.1*
%{_mandir}/man1/%{name}.1*

#--------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries
Recommends:	%{name}

%description -n	%{libname}
This package provides the shared libraries for Speech Dispatcher.

%files -n %{libname}
%doc COPYING.LGPL NEWS
%{_libdir}/libspeechd.so.%{major}{,.*}

#--------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains development files for %{name}.

%files -n %{devname}
%{_includedir}/speech-dispatcher
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/%{name}.pc

#--------------------------------------------------------------------------

%package conf
Summary:	Configuration tool for Speech Dispatcher
Group:		System/Libraries
Requires:	%{name} >= %{version}

%description conf
This package contains spd-conf, a configuration tool for Speech
Dispatcher.

%files conf
%{_bindir}/spd-conf
%{python3_sitearch}/speechd_config
%{_mandir}/man1/spd-conf.1*

#--------------------------------------------------------------------------

%package -n python3-%{shortname}
Summary:	A Python library for communication with Speech Dispatcher
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n python3-%{shortname}
This package provides a Python library for communication
with Speech Dispatcher.

%files -n python3-%{shortname}
%{python3_sitearch}/speechd

#--------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

tar xf %{SOURCE1}
cp -p %{SOURCE4} .

%build
%configure \
	--disable-static \
	--with-baratinoo=no \
	--with-kali=no \
	--with-ibmtts=no \
	--with-voxin=no \
	--with-pico \
	--with-module-bindir=%{_libdir}/speech-dispatcher-modules/
%make_build

%install
%make_install

# upstream recommend the use of sound icons with Speech Dispatcher
install -p -m 0644 sound-icons-0.1/* %{buildroot}%{_datadir}/sounds/%{name}/

# logrotate install
install -Dm 0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}

# create the needed directory for logs
install -d -m 0755 %{buildroot}%{_logdir}/%{name}

# we don't wat these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}


%changelog
* Wed Mar 08 2023 ghibo <ghibo> 0.11.4-2.mga9
+ Revision: 1948370
- Build against libttspico1.
- Add Patch to fix picoapi include path.

* Thu Nov 24 2022 daviddavid <daviddavid> 0.11.4-1.mga9
+ Revision: 1910808
- new version: 0.11.4

* Wed Sep 21 2022 luigiwalser <luigiwalser> 0.11.3-1.mga9
+ Revision: 1891041
- 0.11.3
- update patch from fedora

* Fri Apr 01 2022 umeabot <umeabot> 0.10.2-4.mga9
+ Revision: 1839328
- Mageia 9 Mass Rebuild

* Sun Feb 13 2022 tmb <tmb> 0.10.2-3.mga9
+ Revision: 1773971
- rebuild for python 3.10

* Tue Mar 16 2021 tmb <tmb> 0.10.2-2.mga9
+ Revision: 1703846
- rebuild for python 3.9

* Sun Nov 29 2020 luigiwalser <luigiwalser> 0.10.2-1.mga8
+ Revision: 1650078
- 0.10.2

* Tue Sep 15 2020 daviddavid <daviddavid> 0.10.1-3.mga8
+ Revision: 1626719
- libspeechd recommends speech-dispatcher (mga#27277)

* Thu Aug 20 2020 ovitters <ovitters> 0.10.1-2.mga8
+ Revision: 1616842
- remove install-info scriptlets, rely on filetrigger instead (mga#27107)

* Mon Aug 10 2020 daviddavid <daviddavid> 0.10.1-1.mga8
+ Revision: 1613044
- new version: 0.10.1

* Sun Feb 16 2020 umeabot <umeabot> 0.9.1-3.mga8
+ Revision: 1535207
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Oct 11 2019 daviddavid <daviddavid> 0.9.1-2.mga8
+ Revision: 1451564
- disable ibmtts support (due to broken dependencies)

* Fri Oct 11 2019 daviddavid <daviddavid> 0.9.1-1.mga8
+ Revision: 1451363
- new version: 0.9.1

* Tue Sep 17 2019 tv <tv> 0.9.0-3.mga8
+ Revision: 1443222
- rebuild for python-3.8

* Sun Jan 27 2019 daviddavid <daviddavid> 0.9.0-2.mga7
+ Revision: 1361249
- disable baratinoo and kali support for now (dependency issues)

* Sun Jan 27 2019 daviddavid <daviddavid> 0.9.0-1.mga7
+ Revision: 1361198
- new version: 0.9.0
- remove pyxdg dependency

* Tue Jan 08 2019 daviddavid <daviddavid> 0.8.8-3.mga7
+ Revision: 1352656
- rebuild for new Python 3.7

* Sun Sep 23 2018 umeabot <umeabot> 0.8.8-2.mga7
+ Revision: 1301134
- Mageia 7 Mass Rebuild

* Sun Jan 07 2018 daviddavid <daviddavid> 0.8.8-1.mga7
+ Revision: 1191175
- new version: 0.8.8

* Mon Oct 30 2017 daviddavid <daviddavid> 0.8.7-1.mga7
+ Revision: 1174880
- new version: 0.8.7

* Sat Aug 05 2017 pterjan <pterjan> 0.8.6-2.mga7
+ Revision: 1135716
- Rebuild for python 3.6

* Tue Dec 13 2016 daviddavid <daviddavid> 0.8.6-1.mga6
+ Revision: 1074549
- new version: 0.8.6

* Thu Aug 11 2016 daviddavid <daviddavid> 0.8.5-1.mga6
+ Revision: 1045537
- new version: 0.8.5
- add recommended upstream sound icons

* Sat May 21 2016 daviddavid <daviddavid> 0.8.4-2.mga6
+ Revision: 1017321
- rebuild for new and fixed flite 2.0.0

* Thu Apr 21 2016 daviddavid <daviddavid> 0.8.4-1.mga6
+ Revision: 1004094
- new version: 0.8.4

* Fri Jan 08 2016 daviddavid <daviddavid> 0.8.3-2.mga6
+ Revision: 920585
- enable SVOX pico support

* Sun Dec 13 2015 daviddavid <daviddavid> 0.8.3-1.mga6
+ Revision: 909824
- new version: 0.8.3
- remove merged upstream patch
- speech-dispatcher-cs is back
- update doc file list

* Wed Oct 07 2015 ovitters <ovitters> 0.8-15.mga6
+ Revision: 887051
- rebuild for new python3

* Wed Oct 15 2014 umeabot <umeabot> 0.8-14.mga5
+ Revision: 749417
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.8-13.mga5
+ Revision: 730172
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.8-12.mga5
+ Revision: 689273
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sat May 31 2014 pterjan <pterjan> 0.8-11.mga5
+ Revision: 629543
- Rebuild for new Python

* Sun Jan 05 2014 tmb <tmb> 0.8-10.mga4
+ Revision: 564812
- spd_audio: Expose dlopened library symbols to libs it loads

* Mon Dec 09 2013 colin <colin> 0.8-9.mga4
+ Revision: 556029
- Tidy systemd unit (don't use forking when not needed)

* Wed Nov 27 2013 colin <colin> 0.8-8.mga4
+ Revision: 553729
- Remove previous pkgconfig fix as seems better to patch affected packages.

* Wed Nov 27 2013 colin <colin> 0.8-7.mga4
+ Revision: 553723
- Fix pkgconfig includedir - should fix mumble build (at least)

* Sat Oct 19 2013 umeabot <umeabot> 0.8-6.mga4
+ Revision: 530180
- Mageia 4 Mass Rebuild

* Sat Jul 20 2013 fwang <fwang> 0.8-5.mga4
+ Revision: 456546
- fix pyxdg pkgname

* Sat Jul 20 2013 fwang <fwang> 0.8-4.mga4
+ Revision: 456470
- speech-dispatcher-cs does not exist any more

* Sat Jul 20 2013 fwang <fwang> 0.8-3.mga4
+ Revision: 456466
- real file move

* Sat Jul 20 2013 fwang <fwang> 0.8-2.mga4
+ Revision: 456462
- move sdp-conf out of main package

* Sun Jun 30 2013 fwang <fwang> 0.8-1.mga4
+ Revision: 448506
- update py3 dir
- update file list
- update file list
- update file list
- update file list
- br ltdl
- rename to python3 lib, as it only produces py3 flavour now
- simplify spec, we build default config from upstream
- new version 0.8

* Mon Jan 14 2013 umeabot <umeabot> 0.7.1-4.mga3
+ Revision: 382480
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Apr 28 2012 tmb <tmb> 0.7.1-3.mga2
+ Revision: 233869
- Require rpm-helper >= 0.24.8-1 for systemd support

* Thu Jan 26 2012 fwang <fwang> 0.7.1-2.mga2
+ Revision: 201778
- correct br
- rebuild for new dotconf

* Wed Dec 21 2011 wally <wally> 0.7.1-1.mga2
+ Revision: 185545
- new version 0.7.1
- rediff P1, drop P0,P2 and P3
- add systemd support (from Fedora)
- drop sysvinit support
- move some libs from main pkg to lib pkg
- add python fix (from Mdv)
- clean .spec a bit

* Fri May 20 2011 mikala <mikala> 0.6.7-4.mga1
+ Revision: 99939
- Add back the configuration files in /usr/share/speed-dispatcher/conf
 since python-speechd is using them...

* Thu Jan 20 2011 ahmad <ahmad> 0.6.7-3.mga1
+ Revision: 25816
- imported package speech-dispatcher


* Wed Nov 18 2009 Jérôme Brenier <incubusss@mandriva.org> 0.6.7-3mdv2010.1
+ Revision: 467193
- fix build (getline conflict) : patch from debian

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Sun Jan 04 2009 Funda Wang <fwang@mandriva.org> 0.6.7-2mdv2009.1
+ Revision: 324152
- fix strfmt
- rebuild

* Tue Nov 11 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.6.7-1mdv2009.1
+ Revision: 302106
- import speech-dispatcher


